- title: W32.Stuxnet Dossier
  url: http://www.symantec.com/content/en/us/enterprise/media/security_response/whitepapers/w32_stuxnet_dossier.pdf
  authors: Nicolas Falliere, Liam O Murchu, and Eric Chien
  year: 2011

- title: "Astrée: from Research to Industry"
  url: http://www.astree.ens.fr/papers/astree_airbus_sas2007.pdf
  authors: David Delmas and Jean Souyris
  year: 2007

- title: "Neuroscience Meets Cryptography: Designing Crypto Primitives Secure Against Rubber Hose Attacks"
  url: https://www.usenix.org/conference/usenixsecurity12/technical-sessions/presentation/bojinov
  authors: Hristo Bojinov, Stanford University; Daniel Sanchez and Paul Reber, Northwestern University; Dan Boneh, Stanford University; Patrick Lincoln, SRI
  year: 2012

- title: "Reduced instruction set computers"
  url: https://courses.engr.illinois.edu/ece511/fa2002/papers/p8-patterson.pdf
  authors: David A. Patterson
  year: 1985

- authors: "Yoongu Kim; Daly, R.; Kim, J.; Fallin, C.; Ji Hye Lee; Donghyuk Lee; Wilkerson, C.; Lai, K.; Mutlu, O."
  title: "Flipping bits in memory without accessing them: An experimental study of DRAM disturbance errors"
  url: https://www.ece.cmu.edu/~safari/pubs/kim-isca14.pdf
  year: 2014

- title: "Improving IPC by kernel design"
  url: http://dl.acm.org/citation.cfm?id=168619.168633
  authors: Jochen Liedtke
  year: 1993

- title: "Singularity: Rethinking the Software Stack"
  url: http://research.microsoft.com/pubs/69431/osr2007_rethinkingsoftwarestack.pdf
  authors: Galen C. Hunt and James R. Larus
  year: 2007

- title: "From L3 to seL4 – what have we learnt in 20 years of L4 microkernels?"
  url: http://www.nicta.com.au/pub?doc=6930
  authors: Kevin Elphinstone and Gernot Heiser
  year: 2013

- title: "Improving SSL Warnings: Comprehension and Adherence"
  authors: Adrienne Porter Felt, Alex Ainslie, Robert W. Reeder, Sunny Consolvo, Somas Thyagaraja, Alan Bettes, Helen Harris, Jeff Grimes
  url: https://adrifelt.github.io/sslinterstitial-chi.pdf
  year: 2015???

- title: "A formally verified compiler back-end"
  authors: Xavier Leroy
  url: http://gallium.inria.fr/~xleroy/publi/compcert-backend.pdf
  year: 2009

- title: " Finitary Real-Time Calculus: Efficient Performance Analysis of Distributed Embedded Systems"
  authors: Nan Guan and Wang Yi
  url: http://user.it.uu.se/~yi/pdf-files/rtss13-rtc.pdf
  year: 2013

- title: "XFI: software guards for system address spaces"
  authors: "Úlfar Erlingsson, Martín Abadi, Michael Vrable, Mihai Budiu, George C. Necula"
  url: https://www.usenix.org/legacy/event/osdi06/tech/full_papers/erlingsson/erlingsson.pdf
  year: 2006

- title: "Generalizing Overloading for C++2000"
  authors: "Bjarne Stroustrup"
  url: http://www.stroustrup.com/whitespace98.pdf
  year: 1998

- title: "The Protection of Information in Computer Systems"
  authors: "J. H. Saltzer, M. D. Schroeder"
  url: http://www.cs.virginia.edu/~evans/cs551/saltzer/
  year: 1975

- title: "Cache QoS: From concept to reality in the Intel® Xeon® processor E5-2600 v3 product family"
  authors: "A. Herdrich; E. Verplanke; P. Autee; R. Illikkal; Ch. Gianos; R. Singhal; R. Iyer"
  url: http://ieeexplore.ieee.org/xpl/articleDetails.jsp?arnumber=7446102
  year: 2016

- title: "A2: Analog Malicious Hardware"
  authors: "Kaiyuan Yang, Matthew Hicks, Qing Dong, Todd Austin, Dennis Sylvester"
  url: http://www.ieee-security.org/TC/SP2016/papers/0824a018.pdf
  year: 2016

- title: "Differentiating Communication Styles of Leaders on the Linux Kernel Mailing List"
  authors: "Daniel Schneider et al."
  url: http://www.opensym.org/os2016/proceedings-files/p101-schneider.pdf
  year: 2016

- title: "On the techniques we create, the tools we build, and their misalignments: a study of KLEE"
  authors: "Eric F. Rizzi et al."
  url: https://dl.acm.org/citation.cfm?doid=2884781.2884835
  year: 2016

- title: "Using simplicity to control complexity"
  authors: "Lui Sha"
  url: https://pdfs.semanticscholar.org/f631/3ebc4a0448d4297949655f641a7bd46923ef.pdf
  year: 2001

- title: "Efficient Formal Verification for the Linux Kernel"
  authors: "Daniel Bristot de Oliveira, Tommaso Cucinotta, Rômulo Silva de Oliveira"
  url: http://bristot.me/wp-content/uploads/2019/09/paper.pdf
  year: 2019
